﻿
@{
    ViewBag.Title = "Autores";
    Layout = null;
}

@model IEnumerable<ProjetoBiblioteca.Models.AutoresModel>

@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}


<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Autores</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Área de gerenciamento de Autores" />
    <meta name="keywords" content="Autores, biblioteca, senai" />
    <meta name="author" content="Leonardo Coelho e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->
    <!-- Animate.css -->
    <link href="~/Content/animate.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoon.css" rel="stylesheet" />
    <!-- Themify Icons-->
    <link href="~/Content/themify-icons.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapa.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popup.css" rel="stylesheet" />
    <!-- Owl Carousel  -->
    <link href="~/Content/owl.carousel.min.css" rel="stylesheet" />
    <link href="~/Content/owl.theme.default.min.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/style.css" rel="stylesheet" />
    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->

</head>
<body>
    <div class="gtco-loader"> </div>

    <div id="page">

        <div class="page-inner ">
            <div id="head-top" style="position: absolute; width: 100%; top: 0; ">
                <div class="gtco-top">
                    <div class="container-fluid">
                        <div class="row">
                            <div class=" col-xs-6">
                                <!--92 x 28-->
                                <div id="gtco-logo"><a href="~/Biblio/Index"><img src="http://inovasaopaulo.org.br/wp-content/uploads/2017/10/SENAI-SP.jpg" width="197" height="50" alt="Image" class="img-responsive"></a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <nav class="gtco-nav sticky-banner" role="navigation">
                    <div class="gtco-container">
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                        <div class="row">
                            <div class="col-xs-12 text-center menu-1">
                                <ul>
                                    <li><a href="~/Biblio/Index">Início</a></li>
                                    <li><a href="~/Biblio/Alunos">Alunos</a></li>
                                    <li><a href="~/Biblio/Professores">Professor</a></li>
                                    <li><a href="~/Biblio/Livros">Livros</a></li>
                                    <li><a href="~/Biblio/Autores">Autores</a></li>
                                    <li><a href="~/Emprestimo/Emprestimos">Empréstimos</a></li>
                                    <li><a href="~/Login/Sair">Sair</a></li>
                                </ul>
                            </div>
                        </div>
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                    </div>
                </nav>
            </div>

            <header id="gtco-header" class="gtco-cover gtco-cover-sm" role="banner" style="background-image: url(http://globalmedicalco.com/photos/globalmedicalco/4/16005.JPG)" data-stellar-background-ratio="0.5">
                <div class="overlay"></div>
                <div class="gtco-container">
                    <div class="row row-mt-15em">
                        <div class="col-md-7 mt-text text-left animate-box" data-animate-effect="fadeInUp">
                            <h1><strong>Autores</strong></h1>
                        </div>
                    </div>
                </div>
            </header>


            <div class=" gtco-gray-bg">
                <div class="gtco-container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-5 col-md-push-1 animate-box">
                                <br /><br /><br /><br /><br /><br />
                                <div class="gtco-contact-info">
                                    <ul>
                                        <li>
                                            <div class="form-group">
                                                <a href="~/Biblio/CadastroAutor"><input type="submit" value="Cadastrar Autor" class="btn btn-primary"></a><br />
                                            </div>
                                        </li>

                                    </ul>
                                </div>

                            </div>
                            <div class="col-md-6 animate-box">
                                <form action="~/Biblio/Autores" method="post">
                                    <br /><br /><br />
                                    <label for="pesquisa">Pesquisar Autor: </label>

                                    <!----------------------------------------------------------Campo de Pesquisa de Autor---------------------------------------------------------------------->
                                    <div class="row form-group">
                                        <div class="col-md-12">
                                            <input type="text" id="pesquisa" name="nome" class="form-control" placeholder="Insira o Nome do Autor">
                                            <input type="submit" value="Pesquisar" class="btn btn-primary">
                                        </div>
                                    </div>
                                    <!----------------------------------------------------------Campo de Pesquisa de Autor---------------------------------------------------------------------->
                                </form>
                                <!-------------------------------------------------------------------------Lista de Autor---------------------------------------------------------------------------------->
                                @if (Session["Lista"] != null)
                                    {
                                        <br /> 
                                            <div class="animate-box">
                                                <table class="table">
                                                    <tr>
                                                        <th>
                                                            @Html.DisplayNameFor(model => model.Cod)
                                                        </th>
                                                        <th>
                                                            @Html.DisplayNameFor(model => model.NomeAutor)
                                                        </th>
                                                        <th>

                                                        </th>
                                                    </tr>


                                                    @foreach (var item in Model)
                                                    {
                                                        <tr>
                                                            <td>
                                                                @Html.DisplayFor(modelItem => item.Cod)
                                                            </td>
                                                            <td>
                                                                @Html.DisplayFor(modelItem => item.NomeAutor)
                                                            </td>


                                                            <td>
                                                                @Html.ActionLink("Editar", "EditarAutor", new { nome = item.NomeAutor }) | @Html.ActionLink("Excluir", "ExcluirAutor", new { id = item.Cod })

                                                            </td>

                                                        </tr>
                                                    }

                                                </table>
                                            </div>
                                    }
                                <!-------------------------------------------------------------------------Lista de Autor---------------------------------------------------------------------------------->
                            </div>
                        </div>
                        <!----------------------------------------------------------Campo de Pesquisa de Professor---------------------------------------------------------------------->

                    </div>





                    <!----------------------------------------------------------Separando Divs---------------------------------------------------------------------->
                    <div style="clear: both;"></div>
                    <!----------------------------------------------------------Separando Divs---------------------------------------------------------------------->


                </div>
            </div>
        </div>

        <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
        <footer id="gtco-footer" role="contentinfo">
            <div class="gtco-container">
                <div class="row copyright">
                    <div class="col-md-12">
                        <p class="pull-left">
                            <small class="block">&copy; 2018 SISTEMA DE EMPRÉSTIMOS DE LIVROS - SENAI. TODOS OS DIREITOS RESERVADOS.</small>
                            <small class="block">Desenvolvido por <a href="" target="_blank">Leonardo Coelho de Melo e Marina Aguiar Melaré</a> </small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
    </div>
    </div>
    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <div class="gototop js-top">
        <a href="#" class="js-gotop"><img src="https://icon-icons.com/icons2/934/PNG/512/up-arrow-black-square-button_icon-icons.com_72904.png" width="50px" height="50px" alt="Image" class="img-responsive"></a>
    </div>

    </div>

    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
    <!-- jQuery -->
    <script src="~/Scripts/jquery.min.js"></script>
    <!-- Modernizr JS -->
    <script src="~/Scripts/modernizr-2.6.2.min.js"></script>
    <!-- jQuery Easing -->
    <script src="~/Scripts/jquery.easing.1.3.js"></script>
    <!-- Bootstrap -->
    <script src="~/Scripts/bootstrapa.min.js"></script>
    <!-- Waypoints -->
    <script src="~/Scripts/jquery.waypoints.min.js"></script>
    <script src="~/Scripts/sticky.js"></script>
    <!-- Carousel -->
    <script src="~/Scripts/owl.carousel.min.js"></script>
    <!-- countTo -->
    <script src="~/Scripts/jquery.countTo.js"></script>
    <!-- Stellar Parallax -->
    <script src="~/Scripts/jquery.stellar.min.js"></script>
    <!-- Magnific Popup -->
    <script src="~/Scripts/jquery.magnific-popup.min.js"></script>
    <script src="~/Scripts/magnific-popup-options.js"></script>
    <!-- Main -->
    <script src="~/Scripts/main.js"></script>
    <script>
        $(document).ready(function () {
            $('#Esconder').delay(3000).fadeOut();
        });
    </script>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
</body>
</html>

